apiVersion: v1
kind: Namespace
metadata:
  name: zhxy
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
    nginx.ingress.kubernetes.io/rewrite-target: /
  name: web-zhxy-store
  namespace: zhxy
spec:
  ingressClassName: nginx
  rules:
  - host: store.etongai.com
    http:
      paths:
      - backend:
          service:
            name: nginx
            port:
              number: 80
        path: /
        pathType: Prefix
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: nginx
  name: nginx
  namespace: zhxy
spec:
  replicas: 1
  selector:
    matchLabels:
      app: nginx
  template:
    metadata:
      labels:
        app: nginx
    spec:
      containers:
      - image: dockerhub.daline.com.cn/nginx:1.21.3
        name: nginx
        ports:
        - containerPort: 80
          name: http
        volumeMounts:
        - mountPath: /etc/nginx/conf.d
          name: config
        - mountPath: /var/log/nginx
          name: log
        - mountPath: /home
          name: www
        - mountPath: /etc/localtime
          name: localtime
          readOnly: true
      hostname: nginx
      volumes:
      - hostPath:
          path: /root/zhxy/nginx/config
        name: config
      - hostPath:
          path: /root/zhxy/nginx/log
        name: log
      - hostPath:
          path: /root/zhxy/nginx/www
        name: www
      - hostPath:
          path: /etc/localtime
        name: localtime
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: nginx
  name: nginx
  namespace: zhxy
spec:
  ports:
  - name: http
    port: 80
    targetPort: 80
  selector:
    app: nginx
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
    nginx.ingress.kubernetes.io/rewrite-target: /
  name: web-zhxy
  namespace: zhxy
spec:
  ingressClassName: nginx
  rules:
  - host: www.etongai.com
    http:
      paths:
      - backend:
          service:
            name: nginx
            port:
              number: 80
        path: /
        pathType: Prefix
  - host: expert.etongai.com
    http:
      paths:
      - backend:
          service:
            name: nginx
            port:
              number: 80
        path: /
        pathType: Prefix
  - host: printer.etongai.com
    http:
      paths:
      - backend:
          service:
            name: nginx
            port:
              number: 80
        path: /
        pathType: Prefix
  tls:
  - hosts:
    - www.etongai.com
    - expert.etongai.com
    - printer.etongai.com
    secretName: https-secret
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: pu-sys-usercenter-v1x0x1
  name: pu-sys-usercenter-v1x0x1
  namespace: zhxy
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-sys-usercenter-v1x0x1
  template:
    metadata:
      labels:
        app: pu-sys-usercenter-v1x0x1
    spec:
      containers:
      - env:
        - name: TZ
          value: Asia/Shanghai
        - name: AUTHLIB_INSECURE_TRANSPORT
          value: '1'
        - name: SERVE
          value: '1'
        - name: IN_K8S
          value: '1'
        - name: GLB_ENV
          value: '1'
        - name: AUTHOR
          value: alex.c
        - name: GIT_COMMIT
          value: '6666'
        - name: DAL_ENV
          value: test
        - name: DAL_SPACE
          value: zhxy
        - name: LDAP_URL
          value: ldap://sys-openldap:389
        - name: LDAP_BASE
          value: ou=user,dc=daline,dc=com
        - name: LDAP_BIND_DN
          value: cn=admin,dc=daline,dc=com
        - name: LDAP_BIND_PASSWORD
          value: Hell0DAL
        - name: LOG_LEVEL
          value: debug
        - name: LOG_DIR
          value: /var/log/daline
        image: dockerhub.daline.com.cn/pu_sys_usercenter:1.0.1.last
        imagePullPolicy: IfNotPresent
        name: pu-sys-usercenter-v1x0x1
        ports:
        - containerPort: 8080
          name: http
        - containerPort: 8081
          name: websocket
        resources:
          limits:
            memory: 256Mi
          requests:
            memory: 128Mi
        volumeMounts:
        - mountPath: /dev/shm
          name: shm
        - mountPath: /var/log/daline
          name: nfs-log
        - mountPath: /var/store/nfs
          name: nfs-store
        - mountPath: /etc/localtime
          name: localtime
          readOnly: true
      hostname: pu-sys-usercenter-v1x0x1
      volumes:
      - hostPath:
          path: /dev/shm
        name: shm
      - hostPath:
          path: /root/zhxy/log/pu_sys_usercenter/1_0_1/
        name: nfs-log
      - hostPath:
          path: /root/zhxy/
        name: nfs-store
      - hostPath:
          path: /etc/localtime
        name: localtime
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-sys-usercenter-v1x0x1
  name: pu-sys-usercenter-v1x0x1
  namespace: zhxy
spec:
  ports:
  - name: http
    port: 80
    targetPort: 8080
  - name: websocket
    port: 81
    targetPort: 8081
  selector:
    app: pu-sys-usercenter-v1x0x1
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
  name: pu-sys-usercenter-v1x0x1
  namespace: zhxy
spec:
  ingressClassName: nginx
  rules:
  - host: api.etongai.com
    http:
      paths:
      - backend:
          service:
            name: pu-sys-usercenter-v1x0x1
            port:
              number: 80
        path: /pu-sys-usercenter-v1x0x1(/|$)(.*)
        pathType: Prefix
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: sys-openldap
  name: sys-openldap
  namespace: zhxy
spec:
  replicas: 1
  selector:
    matchLabels:
      app: sys-openldap
  template:
    metadata:
      labels:
        app: sys-openldap
    spec:
      containers:
      - env:
        - name: TZ
          value: Asia/Shanghai
        - name: LDAP_LOG_LEVEL
          value: '256'
        - name: LDAP_ORGANISATION
          value: Daline Inc.
        - name: LDAP_DOMAIN
          value: daline.com
        - name: LDAP_ADMIN_PASSWORD
          value: Hell0DAL
        - name: LDAP_CONFIG_PASSWORD
          value: Hell0DAL
        - name: LDAP_READONLY_USER
          value: 'false'
        - name: LDAP_READONLY_USER_USERNAME
          value: readonly
        - name: LDAP_READONLY_USER_PASSWORD
          value: readonly
        - name: LDAP_RFC2307BIS_SCHEMA
          value: 'false'
        - name: LDAP_BACKEND
          value: mdb
        - name: LDAP_TLS
          value: 'true'
        - name: LDAP_TLS_CRT_FILENAME
          value: ldap.crt
        - name: LDAP_TLS_KEY_FILENAME
          value: ldap.key
        - name: LDAP_TLS_DH_PARAM_FILENAME
          value: dhparam.pem
        - name: LDAP_TLS_CA_CRT_FILENAME
          value: ca.crt
        - name: LDAP_TLS_ENFORCE
          value: 'false'
        - name: LDAP_TLS_CIPHER_SUITE
          value: SECURE256:+SECURE128:-VERS-TLS-ALL:+VERS-TLS1.2:-RSA:-DHE-DSS:-CAMELLIA-128-CBC:-CAMELLIA-256-CBC
        - name: LDAP_TLS_VERIFY_CLIENT
          value: demand
        - name: LDAP_REPLICATION
          value: 'false'
        - name: LDAP_REPLICATION_CONFIG_SYNCPROV
          value: binddn="cn=admin,cn=config" bindmethod=simple credentials=$LDAP_CONFIG_PASSWORD
            searchbase="cn=config" type=refreshAndPersist retry="60 +" timeout=1 starttls=critical
        - name: LDAP_REPLICATION_DB_SYNCPROV
          value: binddn="cn=admin,$LDAP_BASE_DN" bindmethod=simple credentials=$LDAP_ADMIN_PASSWORD
            searchbase="$LDAP_BASE_DN" type=refreshAndPersist interval=00:00:00:10
            retry="60 +" timeout=1 starttls=critical
        - name: LDAP_REPLICATION_HOSTS
          value: '#PYTHON2BASH:[''ldap://ldap-one-service'', ''ldap://ldap-two-service'']'
        - name: KEEP_EXISTING_CONFIG
          value: 'false'
        - name: LDAP_REMOVE_CONFIG_AFTER_SETUP
          value: 'true'
        - name: LDAP_SSL_HELPER_PREFIX
          value: ldap
        image: dockerhub.daline.com.cn/openldap:1.0.1
        name: sys-openldap
        ports:
        - containerPort: 389
          name: openldap
        volumeMounts:
        - mountPath: /var/lib/ldap
          name: ldap-data
        - mountPath: /etc/ldap/slapd.d
          name: ldap-config
        - mountPath: /container/service/slapd/assets/certs
          name: ldap-certs
        - mountPath: /etc/localtime
          name: localtime
          readOnly: true
      volumes:
      - hostPath:
          path: /root/zhxy/openldap/data/
        name: ldap-data
      - hostPath:
          path: /root/zhxy/openldap/config/
        name: ldap-config
      - hostPath:
          path: /root/zhxy/openldap/certs/
        name: ldap-certs
      - hostPath:
          path: /etc/localtime
        name: localtime
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: sys-openldap
  name: sys-openldap
  namespace: zhxy
spec:
  ports:
  - name: openldap
    port: 389
    targetPort: 389
  selector:
    app: sys-openldap
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: sys-mariadb
  name: sys-mariadb
  namespace: zhxy
spec:
  replicas: 1
  selector:
    matchLabels:
      app: sys-mariadb
  template:
    metadata:
      labels:
        app: sys-mariadb
    spec:
      containers:
      - env:
        - name: TZ
          value: Asia/Shanghai
        - name: MYSQL_ROOT_PASSWORD
          value: Hell0DAL
        image: dockerhub.daline.com.cn/mariadb:10.3
        name: sys-mariadb
        ports:
        - containerPort: 3306
          name: mariadb
        volumeMounts:
        - mountPath: /var/lib/mysql
          name: data
        - mountPath: /var/log/mysql
          name: log
        - mountPath: /etc/localtime
          name: localtime
          readOnly: true
      volumes:
      - hostPath:
          path: /root/zhxy/mariadb/data
        name: data
      - hostPath:
          path: /root/zhxy/mariadb/log
        name: log
      - hostPath:
          path: /etc/localtime
        name: localtime
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: sys-mariadb
  name: sys-mariadb
  namespace: zhxy
spec:
  ports:
  - name: mariadb
    port: 3306
    targetPort: 3306
  selector:
    app: sys-mariadb
  type: NodePort
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: sys-phpmyadmin
  name: sys-phpmyadmin
  namespace: zhxy
spec:
  replicas: 1
  selector:
    matchLabels:
      app: sys-phpmyadmin
  template:
    metadata:
      labels:
        app: sys-phpmyadmin
    spec:
      containers:
      - env:
        - name: TZ
          value: Asia/Shanghai
        - name: PMA_HOST
          value: sys-mariadb
        - name: PMA_PORT
          value: '3306'
        - name: PMA_ABSOLUTE_URI
          value: http://api.etongai.com/sys-phpmyadmin/
        image: dockerhub.daline.com.cn/phpmyadmin:5.0.2
        name: sys-phpmyadmin
        ports:
        - containerPort: 80
          name: http
        volumeMounts:
        - mountPath: /etc/localtime
          name: localtime
          readOnly: true
      volumes:
      - hostPath:
          path: /etc/localtime
        name: localtime
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: sys-phpmyadmin
  name: sys-phpmyadmin
  namespace: zhxy
spec:
  ports:
  - name: http
    port: 80
    targetPort: 80
  selector:
    app: sys-phpmyadmin
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
  name: sys-phpmyadmin
  namespace: zhxy
spec:
  ingressClassName: nginx
  rules:
  - host: api.etongai.com
    http:
      paths:
      - backend:
          service:
            name: sys-phpmyadmin
            port:
              number: 80
        path: /sys-phpmyadmin(/|$)(.*)
        pathType: Prefix
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: pu-sys-mysqlconfig-v1x0x1
  name: pu-sys-mysqlconfig-v1x0x1
  namespace: zhxy
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-sys-mysqlconfig-v1x0x1
  template:
    metadata:
      labels:
        app: pu-sys-mysqlconfig-v1x0x1
    spec:
      containers:
      - env:
        - name: TZ
          value: Asia/Shanghai
        - name: SERVE
          value: '1'
        - name: IN_K8S
          value: '1'
        - name: AUTHOR
          value: alex.c
        - name: GIT_COMMIT
          value: '6666'
        - name: DAL_ENV
          value: env
        - name: DAL_SPACE
          value: name_space
        - name: MYSQL_SERVER
          value: sys-mariadb
        - name: MYSQL_PORT
          value: '3306'
        - name: MYSQL_ACCOUNT
          value: root
        - name: MYSQL_PASSWORD
          value: Hell0DAL
        - name: MYSQL_DB
          value: mysql
        - name: LOG_LEVEL
          value: debug
        - name: LOG_DIR
          value: /var/log/daline
        image: dockerhub.daline.com.cn/pu_sys_mysqlconfig:1.0.1.last
        imagePullPolicy: IfNotPresent
        name: pu-sys-mysqlconfig-v1x0x1
        ports:
        - containerPort: 80
          name: http
        resources:
          limits:
            memory: 128Mi
          requests:
            memory: 64Mi
        volumeMounts:
        - mountPath: /var/log/daline
          name: nfs-log
        - mountPath: /etc/localtime
          name: localtime
          readOnly: true
      hostname: pu-sys-mysqlconfig-v1x0x1
      volumes:
      - hostPath:
          path: /root/zhxy/log/pu_sys_mysqlconfig/1_0_1/
        name: nfs-log
      - hostPath:
          path: /etc/localtime
        name: localtime
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-sys-mysqlconfig-v1x0x1
  name: pu-sys-mysqlconfig-v1x0x1
  namespace: zhxy
spec:
  ports:
  - name: http
    port: 80
    targetPort: 80
  selector:
    app: pu-sys-mysqlconfig-v1x0x1
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
  name: pu-sys-mysqlconfig-v1x0x1
  namespace: zhxy
spec:
  ingressClassName: nginx
  rules:
  - host: api.etongai.com
    http:
      paths:
      - backend:
          service:
            name: pu-sys-mysqlconfig-v1x0x1
            port:
              number: 80
        path: /pu-sys-mysqlconfig-v1x0x1(/|$)(.*)
        pathType: Prefix
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: sys-redis
  name: sys-redis
  namespace: zhxy
spec:
  replicas: 1
  selector:
    matchLabels:
      app: sys-redis
  template:
    metadata:
      labels:
        app: sys-redis
    spec:
      containers:
      - env:
        - name: TZ
          value: Asia/Shanghai
        - name: REDIS_PASSWORD
          value: Hell0DAL
        - name: REDIS_DISABLE_COMMANDS
          value: FLUSHDB,FLUSHALL,CONFIG
        image: dockerhub.daline.com.cn/bitnami/redis:7.0.1
        name: sys-redis
        ports:
        - containerPort: 6379
          name: redis
        volumeMounts:
        - mountPath: /bitnami/redis/data
          name: data
        - mountPath: /etc/localtime
          name: localtime
          readOnly: true
      volumes:
      - hostPath:
          path: /root/zhxy/redis
        name: data
      - hostPath:
          path: /etc/localtime
        name: localtime
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: sys-redis
  name: sys-redis
  namespace: zhxy
spec:
  ports:
  - name: redis
    port: 6379
    targetPort: 6379
  selector:
    app: sys-redis
  type: NodePort
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: sys-zipkin
  name: sys-zipkin
  namespace: zhxy
spec:
  replicas: 1
  selector:
    matchLabels:
      app: sys-zipkin
  template:
    metadata:
      labels:
        app: sys-zipkin
    spec:
      containers:
      - env:
        - name: TZ
          value: Asia/Shanghai
        image: dockerhub.daline.com.cn/openzipkin/zipkin:2.23
        name: sys-zipkin
        ports:
        - containerPort: 9411
          name: zipkin
        resources:
          limits:
            memory: 2Gi
          requests:
            memory: 1Gi
        volumeMounts:
        - mountPath: /etc/localtime
          name: localtime
          readOnly: true
      volumes:
      - hostPath:
          path: /etc/localtime
        name: localtime
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: sys-zipkin
  name: sys-zipkin
  namespace: zhxy
spec:
  ports:
  - name: zipkin
    port: 9411
    targetPort: 9411
  selector:
    app: sys-zipkin
  type: NodePort
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /
  name: sys-zipkin
  namespace: zhxy
spec:
  ingressClassName: nginx
  rules:
  - host: api.etongai.com
    http:
      paths:
      - backend:
          service:
            name: sys-zipkin
            port:
              number: 9411
        path: /zipkin
        pathType: Prefix
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: pu-expert-v1x0x1
  name: pu-expert-v1x0x1
  namespace: zhxy
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-expert-v1x0x1
  template:
    metadata:
      labels:
        app: pu-expert-v1x0x1
    spec:
      containers:
      - env:
        - name: TZ
          value: Asia/Shanghai
        - name: I18N
          value: cn
        - name: SERVE
          value: '1'
        - name: IN_K8S
          value: '1'
        - name: AUTHOR
          value: yu.z
        - name: GIT_COMMIT
          value: e8048df5520765a026ac1eca774e0674c1aa4446
        - name: DAL_ENV
          value: test
        - name: DAL_SPACE
          value: zhxy
        - name: LOG_LEVEL
          value: debug
        - name: LOG_DIR
          value: /var/log/daline
        - name: TEMP_FOLDER
          value: /tmp
        - name: NFS_FOLDER
          value: /var/store/nfs
        - name: HTTP_FOLDER
          value: /var/store/http
        - name: HTTP_BASE_URL
          value: /httpstore/yu.z/pu_expert/1_0_1/
        - name: HTTPSTORE_BASE_URL
          value: /httpstore/yu.z/pu_expert/1_0_1/
        - name: RUN_MODE
          value: run
        image: dockerhub.daline.com.cn/pu_expert_e8048df:1.0.1
        name: pu-expert-v1x0x1
        ports:
        - containerPort: 8080
          name: http
        - containerPort: 8081
          name: websocket
        volumeMounts:
        - mountPath: /dev/shm
          name: shm
        - mountPath: /var/log/daline
          name: nfs-log
        - mountPath: /var/store/nfs
          name: nfs-store
        - mountPath: /var/store/http
          name: http-store
        - mountPath: /etc/localtime
          name: localtime
          readOnly: true
      hostname: pu-expert-v1x0x1
      securityContext:
        fsGroup: 500
        runAsGroup: 500
        runAsUser: 2024
      volumes:
      - hostPath:
          path: /dev/shm
        name: shm
      - hostPath:
          path: /root/zhxy/log/yu.z/pu_expert/1_0_1/
        name: nfs-log
      - hostPath:
          path: /root/zhxy/yu.z/
        name: nfs-store
      - hostPath:
          path: /root/zhxy/nginx/www/httpstore/yu.z/
        name: http-store
      - hostPath:
          path: /etc/localtime
        name: localtime
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-expert-v1x0x1
  name: pu-expert-v1x0x1
  namespace: zhxy
spec:
  ports:
  - name: http
    port: 80
    targetPort: 8080
  - name: websocket
    port: 81
    targetPort: 8081
  selector:
    app: pu-expert-v1x0x1
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
    nginx.ingress.kubernetes.io/rewrite-target: /$2
  name: pu-expert-v1x0x1
  namespace: zhxy
spec:
  ingressClassName: nginx
  rules:
  - host: api.etongai.com
    http:
      paths:
      - backend:
          service:
            name: pu-expert-v1x0x1
            port:
              number: 80
        path: /pu-expert-v1x0x1(/|$)(.*)
        pathType: Prefix
      - backend:
          service:
            name: pu-expert-v1x0x1
            port:
              number: 81
        path: /pu-expert-v1x0x1-ws(/|$)(.*)
        pathType: Prefix
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: pu-express-v1x0x1
  name: pu-express-v1x0x1
  namespace: zhxy
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-express-v1x0x1
  template:
    metadata:
      labels:
        app: pu-express-v1x0x1
    spec:
      containers:
      - env:
        - name: TZ
          value: Asia/Shanghai
        - name: I18N
          value: cn
        - name: SERVE
          value: '1'
        - name: IN_K8S
          value: '1'
        - name: AUTHOR
          value: yu.z
        - name: GIT_COMMIT
          value: fc7a743858a27bae7a641b31b7a9668dcd9cd0ed
        - name: DAL_ENV
          value: test
        - name: DAL_SPACE
          value: zhxy
        - name: LOG_LEVEL
          value: debug
        - name: LOG_DIR
          value: /var/log/daline
        - name: TEMP_FOLDER
          value: /tmp
        - name: NFS_FOLDER
          value: /var/store/nfs
        - name: HTTP_FOLDER
          value: /var/store/http
        - name: HTTP_BASE_URL
          value: /httpstore/yu.z/pu_express/1_0_1/
        - name: HTTPSTORE_BASE_URL
          value: /httpstore/yu.z/pu_express/1_0_1/
        - name: RUN_MODE
          value: run
        image: dockerhub.daline.com.cn/pu_express_fc7a743:1.0.1
        name: pu-express-v1x0x1
        ports:
        - containerPort: 8080
          name: http
        - containerPort: 8081
          name: websocket
        volumeMounts:
        - mountPath: /dev/shm
          name: shm
        - mountPath: /var/log/daline
          name: nfs-log
        - mountPath: /var/store/nfs
          name: nfs-store
        - mountPath: /var/store/http
          name: http-store
        - mountPath: /etc/localtime
          name: localtime
          readOnly: true
      hostname: pu-express-v1x0x1
      securityContext:
        fsGroup: 500
        runAsGroup: 500
        runAsUser: 2024
      volumes:
      - hostPath:
          path: /dev/shm
        name: shm
      - hostPath:
          path: /root/zhxy/log/yu.z/pu_express/1_0_1/
        name: nfs-log
      - hostPath:
          path: /root/zhxy/yu.z/
        name: nfs-store
      - hostPath:
          path: /root/zhxy/nginx/www/httpstore/yu.z/
        name: http-store
      - hostPath:
          path: /etc/localtime
        name: localtime
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-express-v1x0x1
  name: pu-express-v1x0x1
  namespace: zhxy
spec:
  ports:
  - name: http
    port: 80
    targetPort: 8080
  - name: websocket
    port: 81
    targetPort: 8081
  selector:
    app: pu-express-v1x0x1
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
    nginx.ingress.kubernetes.io/rewrite-target: /$2
  name: pu-express-v1x0x1
  namespace: zhxy
spec:
  ingressClassName: nginx
  rules:
  - host: api.etongai.com
    http:
      paths:
      - backend:
          service:
            name: pu-express-v1x0x1
            port:
              number: 80
        path: /pu-express-v1x0x1(/|$)(.*)
        pathType: Prefix
      - backend:
          service:
            name: pu-express-v1x0x1
            port:
              number: 81
        path: /pu-express-v1x0x1-ws(/|$)(.*)
        pathType: Prefix
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: pu-finance-v1x0x1
  name: pu-finance-v1x0x1
  namespace: zhxy
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-finance-v1x0x1
  template:
    metadata:
      labels:
        app: pu-finance-v1x0x1
    spec:
      containers:
      - env:
        - name: TZ
          value: Asia/Shanghai
        - name: I18N
          value: cn
        - name: SERVE
          value: '1'
        - name: IN_K8S
          value: '1'
        - name: AUTHOR
          value: zeng.y
        - name: GIT_COMMIT
          value: 55b8bad6261ada8f8cc691052f08ac3a98961db3
        - name: DAL_ENV
          value: test
        - name: DAL_SPACE
          value: zhxy
        - name: LOG_LEVEL
          value: debug
        - name: LOG_DIR
          value: /var/log/daline
        - name: TEMP_FOLDER
          value: /tmp
        - name: NFS_FOLDER
          value: /var/store/nfs
        - name: HTTP_FOLDER
          value: /var/store/http
        - name: HTTP_BASE_URL
          value: /httpstore/zeng.y/pu_finance/1_0_1/
        - name: HTTPSTORE_BASE_URL
          value: /httpstore/zeng.y/pu_finance/1_0_1/
        - name: RUN_MODE
          value: run
        image: dockerhub.daline.com.cn/pu_finance_55b8bad:1.0.1
        name: pu-finance-v1x0x1
        ports:
        - containerPort: 8080
          name: http
        - containerPort: 8081
          name: websocket
        volumeMounts:
        - mountPath: /dev/shm
          name: shm
        - mountPath: /var/log/daline
          name: nfs-log
        - mountPath: /var/store/nfs
          name: nfs-store
        - mountPath: /var/store/http
          name: http-store
        - mountPath: /etc/localtime
          name: localtime
          readOnly: true
      hostname: pu-finance-v1x0x1
      securityContext:
        fsGroup: 500
        runAsGroup: 500
        runAsUser: 1003
      volumes:
      - hostPath:
          path: /dev/shm
        name: shm
      - hostPath:
          path: /root/zhxy/log/zeng.y/pu_finance/1_0_1/
        name: nfs-log
      - hostPath:
          path: /root/zhxy/zeng.y/
        name: nfs-store
      - hostPath:
          path: /root/zhxy/nginx/www/httpstore/zeng.y/
        name: http-store
      - hostPath:
          path: /etc/localtime
        name: localtime
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-finance-v1x0x1
  name: pu-finance-v1x0x1
  namespace: zhxy
spec:
  ports:
  - name: http
    port: 80
    targetPort: 8080
  - name: websocket
    port: 81
    targetPort: 8081
  selector:
    app: pu-finance-v1x0x1
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
    nginx.ingress.kubernetes.io/rewrite-target: /$2
  name: pu-finance-v1x0x1
  namespace: zhxy
spec:
  ingressClassName: nginx
  rules:
  - host: api.etongai.com
    http:
      paths:
      - backend:
          service:
            name: pu-finance-v1x0x1
            port:
              number: 80
        path: /pu-finance-v1x0x1(/|$)(.*)
        pathType: Prefix
      - backend:
          service:
            name: pu-finance-v1x0x1
            port:
              number: 81
        path: /pu-finance-v1x0x1-ws(/|$)(.*)
        pathType: Prefix
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: pu-flowcontrol-v1x0x1
  name: pu-flowcontrol-v1x0x1
  namespace: zhxy
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-flowcontrol-v1x0x1
  template:
    metadata:
      labels:
        app: pu-flowcontrol-v1x0x1
    spec:
      containers:
      - env:
        - name: TZ
          value: Asia/Shanghai
        - name: I18N
          value: cn
        - name: SERVE
          value: '1'
        - name: IN_K8S
          value: '1'
        - name: AUTHOR
          value: yu.z
        - name: GIT_COMMIT
          value: cd48f3887969c89191c25470689af0139acf1058
        - name: DAL_ENV
          value: test
        - name: DAL_SPACE
          value: zhxy
        - name: LOG_LEVEL
          value: debug
        - name: LOG_DIR
          value: /var/log/daline
        - name: TEMP_FOLDER
          value: /tmp
        - name: NFS_FOLDER
          value: /var/store/nfs
        - name: HTTP_FOLDER
          value: /var/store/http
        - name: HTTP_BASE_URL
          value: /httpstore/yu.z/pu_flowcontrol/1_0_1/
        - name: HTTPSTORE_BASE_URL
          value: /httpstore/yu.z/pu_flowcontrol/1_0_1/
        - name: RUN_MODE
          value: run
        image: dockerhub.daline.com.cn/pu_flowcontrol_cd48f38:1.0.1
        name: pu-flowcontrol-v1x0x1
        ports:
        - containerPort: 8080
          name: http
        - containerPort: 8081
          name: websocket
        volumeMounts:
        - mountPath: /dev/shm
          name: shm
        - mountPath: /var/log/daline
          name: nfs-log
        - mountPath: /var/store/nfs
          name: nfs-store
        - mountPath: /var/store/http
          name: http-store
        - mountPath: /etc/localtime
          name: localtime
          readOnly: true
      hostname: pu-flowcontrol-v1x0x1
      securityContext:
        fsGroup: 500
        runAsGroup: 500
        runAsUser: 2024
      volumes:
      - hostPath:
          path: /dev/shm
        name: shm
      - hostPath:
          path: /root/zhxy/log/yu.z/pu_flowcontrol/1_0_1/
        name: nfs-log
      - hostPath:
          path: /root/zhxy/yu.z/
        name: nfs-store
      - hostPath:
          path: /root/zhxy/nginx/www/httpstore/yu.z/
        name: http-store
      - hostPath:
          path: /etc/localtime
        name: localtime
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-flowcontrol-v1x0x1
  name: pu-flowcontrol-v1x0x1
  namespace: zhxy
spec:
  ports:
  - name: http
    port: 80
    targetPort: 8080
  - name: websocket
    port: 81
    targetPort: 8081
  selector:
    app: pu-flowcontrol-v1x0x1
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
    nginx.ingress.kubernetes.io/rewrite-target: /$2
  name: pu-flowcontrol-v1x0x1
  namespace: zhxy
spec:
  ingressClassName: nginx
  rules:
  - host: api.etongai.com
    http:
      paths:
      - backend:
          service:
            name: pu-flowcontrol-v1x0x1
            port:
              number: 80
        path: /pu-flowcontrol-v1x0x1(/|$)(.*)
        pathType: Prefix
      - backend:
          service:
            name: pu-flowcontrol-v1x0x1
            port:
              number: 81
        path: /pu-flowcontrol-v1x0x1-ws(/|$)(.*)
        pathType: Prefix
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: pu-judgeai-v1x0x1
  name: pu-judgeai-v1x0x1
  namespace: zhxy
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-judgeai-v1x0x1
  template:
    metadata:
      labels:
        app: pu-judgeai-v1x0x1
    spec:
      containers:
      - env:
        - name: TZ
          value: Asia/Shanghai
        - name: I18N
          value: cn
        - name: SERVE
          value: '1'
        - name: IN_K8S
          value: '1'
        - name: AUTHOR
          value: xiaokang.d
        - name: GIT_COMMIT
          value: fd1d7d57ad4dac3ef0dc20ec3dde2b63726e2219
        - name: DAL_ENV
          value: test
        - name: DAL_SPACE
          value: zhxy
        - name: LOG_LEVEL
          value: debug
        - name: LOG_DIR
          value: /var/log/daline
        - name: TEMP_FOLDER
          value: /tmp
        - name: NFS_FOLDER
          value: /var/store/nfs
        - name: HTTP_FOLDER
          value: /var/store/http
        - name: HTTP_BASE_URL
          value: /httpstore/xiaokang.d/pu_judgeai/1_0_1/
        - name: HTTPSTORE_BASE_URL
          value: /httpstore/xiaokang.d/pu_judgeai/1_0_1/
        - name: RUN_MODE
          value: run
        image: dockerhub.daline.com.cn/pu_judgeai_fd1d7d5:1.0.1
        name: pu-judgeai-v1x0x1
        ports:
        - containerPort: 8080
          name: http
        - containerPort: 8081
          name: websocket
        volumeMounts:
        - mountPath: /dev/shm
          name: shm
        - mountPath: /var/log/daline
          name: nfs-log
        - mountPath: /var/store/nfs
          name: nfs-store
        - mountPath: /var/store/http
          name: http-store
        - mountPath: /etc/localtime
          name: localtime
          readOnly: true
      hostname: pu-judgeai-v1x0x1
      securityContext:
        fsGroup: 500
        runAsGroup: 500
        runAsUser: 1004
      volumes:
      - hostPath:
          path: /dev/shm
        name: shm
      - hostPath:
          path: /root/zhxy/log/xiaokang.d/pu_judgeai/1_0_1/
        name: nfs-log
      - hostPath:
          path: /root/zhxy/xiaokang.d/
        name: nfs-store
      - hostPath:
          path: /root/zhxy/nginx/www/httpstore/xiaokang.d/
        name: http-store
      - hostPath:
          path: /etc/localtime
        name: localtime
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-judgeai-v1x0x1
  name: pu-judgeai-v1x0x1
  namespace: zhxy
spec:
  ports:
  - name: http
    port: 80
    targetPort: 8080
  - name: websocket
    port: 81
    targetPort: 8081
  selector:
    app: pu-judgeai-v1x0x1
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
    nginx.ingress.kubernetes.io/rewrite-target: /$2
  name: pu-judgeai-v1x0x1
  namespace: zhxy
spec:
  ingressClassName: nginx
  rules:
  - host: api.etongai.com
    http:
      paths:
      - backend:
          service:
            name: pu-judgeai-v1x0x1
            port:
              number: 80
        path: /pu-judgeai-v1x0x1(/|$)(.*)
        pathType: Prefix
      - backend:
          service:
            name: pu-judgeai-v1x0x1
            port:
              number: 81
        path: /pu-judgeai-v1x0x1-ws(/|$)(.*)
        pathType: Prefix
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: pu-judgeexp-v1x0x1
  name: pu-judgeexp-v1x0x1
  namespace: zhxy
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-judgeexp-v1x0x1
  template:
    metadata:
      labels:
        app: pu-judgeexp-v1x0x1
    spec:
      containers:
      - env:
        - name: TZ
          value: Asia/Shanghai
        - name: I18N
          value: cn
        - name: SERVE
          value: '1'
        - name: IN_K8S
          value: '1'
        - name: AUTHOR
          value: yu.z
        - name: GIT_COMMIT
          value: cec0be5394ba1d8146d21ac67cf1863446f8e269
        - name: DAL_ENV
          value: test
        - name: DAL_SPACE
          value: zhxy
        - name: LOG_LEVEL
          value: debug
        - name: LOG_DIR
          value: /var/log/daline
        - name: TEMP_FOLDER
          value: /tmp
        - name: NFS_FOLDER
          value: /var/store/nfs
        - name: HTTP_FOLDER
          value: /var/store/http
        - name: HTTP_BASE_URL
          value: /httpstore/yu.z/pu_judgeexp/1_0_1/
        - name: HTTPSTORE_BASE_URL
          value: /httpstore/yu.z/pu_judgeexp/1_0_1/
        - name: RUN_MODE
          value: run
        image: dockerhub.daline.com.cn/pu_judgeexp_cec0be5:1.0.1
        name: pu-judgeexp-v1x0x1
        ports:
        - containerPort: 8080
          name: http
        - containerPort: 8081
          name: websocket
        volumeMounts:
        - mountPath: /dev/shm
          name: shm
        - mountPath: /var/log/daline
          name: nfs-log
        - mountPath: /var/store/nfs
          name: nfs-store
        - mountPath: /var/store/http
          name: http-store
        - mountPath: /etc/localtime
          name: localtime
          readOnly: true
      hostname: pu-judgeexp-v1x0x1
      securityContext:
        fsGroup: 500
        runAsGroup: 500
        runAsUser: 2024
      volumes:
      - hostPath:
          path: /dev/shm
        name: shm
      - hostPath:
          path: /root/zhxy/log/yu.z/pu_judgeexp/1_0_1/
        name: nfs-log
      - hostPath:
          path: /root/zhxy/yu.z/
        name: nfs-store
      - hostPath:
          path: /root/zhxy/nginx/www/httpstore/yu.z/
        name: http-store
      - hostPath:
          path: /etc/localtime
        name: localtime
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-judgeexp-v1x0x1
  name: pu-judgeexp-v1x0x1
  namespace: zhxy
spec:
  ports:
  - name: http
    port: 80
    targetPort: 8080
  - name: websocket
    port: 81
    targetPort: 8081
  selector:
    app: pu-judgeexp-v1x0x1
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
    nginx.ingress.kubernetes.io/rewrite-target: /$2
  name: pu-judgeexp-v1x0x1
  namespace: zhxy
spec:
  ingressClassName: nginx
  rules:
  - host: api.etongai.com
    http:
      paths:
      - backend:
          service:
            name: pu-judgeexp-v1x0x1
            port:
              number: 80
        path: /pu-judgeexp-v1x0x1(/|$)(.*)
        pathType: Prefix
      - backend:
          service:
            name: pu-judgeexp-v1x0x1
            port:
              number: 81
        path: /pu-judgeexp-v1x0x1-ws(/|$)(.*)
        pathType: Prefix
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: pu-notice-v1x0x1
  name: pu-notice-v1x0x1
  namespace: zhxy
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-notice-v1x0x1
  template:
    metadata:
      labels:
        app: pu-notice-v1x0x1
    spec:
      containers:
      - env:
        - name: TZ
          value: Asia/Shanghai
        - name: I18N
          value: cn
        - name: SERVE
          value: '1'
        - name: IN_K8S
          value: '1'
        - name: AUTHOR
          value: xiaokang.d
        - name: GIT_COMMIT
          value: a388e74486844a6ffb6c0799aa0113b981cc5ec2
        - name: DAL_ENV
          value: test
        - name: DAL_SPACE
          value: zhxy
        - name: LOG_LEVEL
          value: debug
        - name: LOG_DIR
          value: /var/log/daline
        - name: TEMP_FOLDER
          value: /tmp
        - name: NFS_FOLDER
          value: /var/store/nfs
        - name: HTTP_FOLDER
          value: /var/store/http
        - name: HTTP_BASE_URL
          value: /httpstore/xiaokang.d/pu_notice/1_0_1/
        - name: HTTPSTORE_BASE_URL
          value: /httpstore/xiaokang.d/pu_notice/1_0_1/
        - name: RUN_MODE
          value: run
        image: dockerhub.daline.com.cn/pu_notice_a388e74:1.0.1
        name: pu-notice-v1x0x1
        ports:
        - containerPort: 8080
          name: http
        - containerPort: 8081
          name: websocket
        volumeMounts:
        - mountPath: /dev/shm
          name: shm
        - mountPath: /var/log/daline
          name: nfs-log
        - mountPath: /var/store/nfs
          name: nfs-store
        - mountPath: /var/store/http
          name: http-store
        - mountPath: /etc/localtime
          name: localtime
          readOnly: true
      hostname: pu-notice-v1x0x1
      securityContext:
        fsGroup: 500
        runAsGroup: 500
        runAsUser: 1004
      volumes:
      - hostPath:
          path: /dev/shm
        name: shm
      - hostPath:
          path: /root/zhxy/log/xiaokang.d/pu_notice/1_0_1/
        name: nfs-log
      - hostPath:
          path: /root/zhxy/xiaokang.d/
        name: nfs-store
      - hostPath:
          path: /root/zhxy/nginx/www/httpstore/xiaokang.d/
        name: http-store
      - hostPath:
          path: /etc/localtime
        name: localtime
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-notice-v1x0x1
  name: pu-notice-v1x0x1
  namespace: zhxy
spec:
  ports:
  - name: http
    port: 80
    targetPort: 8080
  - name: websocket
    port: 81
    targetPort: 8081
  selector:
    app: pu-notice-v1x0x1
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
    nginx.ingress.kubernetes.io/rewrite-target: /$2
  name: pu-notice-v1x0x1
  namespace: zhxy
spec:
  ingressClassName: nginx
  rules:
  - host: api.etongai.com
    http:
      paths:
      - backend:
          service:
            name: pu-notice-v1x0x1
            port:
              number: 80
        path: /pu-notice-v1x0x1(/|$)(.*)
        pathType: Prefix
      - backend:
          service:
            name: pu-notice-v1x0x1
            port:
              number: 81
        path: /pu-notice-v1x0x1-ws(/|$)(.*)
        pathType: Prefix
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: pu-printer-v1x0x1
  name: pu-printer-v1x0x1
  namespace: zhxy
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-printer-v1x0x1
  template:
    metadata:
      labels:
        app: pu-printer-v1x0x1
    spec:
      containers:
      - env:
        - name: TZ
          value: Asia/Shanghai
        - name: I18N
          value: cn
        - name: SERVE
          value: '1'
        - name: IN_K8S
          value: '1'
        - name: AUTHOR
          value: alex.c
        - name: GIT_COMMIT
          value: 7c6b73ce4c66cae31613310261449b1fbf97e1b6
        - name: DAL_ENV
          value: test
        - name: DAL_SPACE
          value: zhxy
        - name: LOG_LEVEL
          value: debug
        - name: LOG_DIR
          value: /var/log/daline
        - name: TEMP_FOLDER
          value: /tmp
        - name: NFS_FOLDER
          value: /var/store/nfs
        - name: HTTP_FOLDER
          value: /var/store/http
        - name: HTTP_BASE_URL
          value: /httpstore/alex.c/pu_printer/1_0_1/
        - name: HTTPSTORE_BASE_URL
          value: /httpstore/alex.c/pu_printer/1_0_1/
        - name: RUN_MODE
          value: run
        image: dockerhub.daline.com.cn/pu_printer_7c6b73c:1.0.1
        name: pu-printer-v1x0x1
        ports:
        - containerPort: 8080
          name: http
        - containerPort: 8081
          name: websocket
        volumeMounts:
        - mountPath: /dev/shm
          name: shm
        - mountPath: /var/log/daline
          name: nfs-log
        - mountPath: /var/store/nfs
          name: nfs-store
        - mountPath: /var/store/http
          name: http-store
        - mountPath: /etc/localtime
          name: localtime
          readOnly: true
      hostname: pu-printer-v1x0x1
      securityContext:
        fsGroup: 502
        runAsGroup: 502
        runAsUser: 1000
      volumes:
      - hostPath:
          path: /dev/shm
        name: shm
      - hostPath:
          path: /root/zhxy/log/alex.c/pu_printer/1_0_1/
        name: nfs-log
      - hostPath:
          path: /root/zhxy/alex.c/
        name: nfs-store
      - hostPath:
          path: /root/zhxy/nginx/www/httpstore/alex.c/
        name: http-store
      - hostPath:
          path: /etc/localtime
        name: localtime
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-printer-v1x0x1
  name: pu-printer-v1x0x1
  namespace: zhxy
spec:
  ports:
  - name: http
    port: 80
    targetPort: 8080
  - name: websocket
    port: 81
    targetPort: 8081
  selector:
    app: pu-printer-v1x0x1
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
    nginx.ingress.kubernetes.io/rewrite-target: /$2
  name: pu-printer-v1x0x1
  namespace: zhxy
spec:
  ingressClassName: nginx
  rules:
  - host: api.etongai.com
    http:
      paths:
      - backend:
          service:
            name: pu-printer-v1x0x1
            port:
              number: 80
        path: /pu-printer-v1x0x1(/|$)(.*)
        pathType: Prefix
      - backend:
          service:
            name: pu-printer-v1x0x1
            port:
              number: 81
        path: /pu-printer-v1x0x1-ws(/|$)(.*)
        pathType: Prefix
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: pu-ry-v1x0x1
  name: pu-ry-v1x0x1
  namespace: zhxy
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-ry-v1x0x1
  template:
    metadata:
      labels:
        app: pu-ry-v1x0x1
    spec:
      containers:
      - env:
        - name: TZ
          value: Asia/Shanghai
        - name: I18N
          value: cn
        - name: SERVE
          value: '1'
        - name: IN_K8S
          value: '1'
        - name: AUTHOR
          value: alex.c
        - name: GIT_COMMIT
          value: 8a6c58e15cb0da805bad65d446df8d7e16c72411
        - name: DAL_ENV
          value: test
        - name: DAL_SPACE
          value: zhxy
        - name: LOG_LEVEL
          value: debug
        - name: LOG_DIR
          value: /var/log/daline
        - name: TEMP_FOLDER
          value: /tmp
        - name: NFS_FOLDER
          value: /var/store/nfs
        - name: HTTP_FOLDER
          value: /var/store/http
        - name: HTTP_BASE_URL
          value: /httpstore/alex.c/pu_ry/1_0_1/
        - name: HTTPSTORE_BASE_URL
          value: /httpstore/alex.c/pu_ry/1_0_1/
        - name: RUN_MODE
          value: run
        image: dockerhub.daline.com.cn/pu_ry_8a6c58e:1.0.1
        name: pu-ry-v1x0x1
        ports:
        - containerPort: 8080
          name: http
        - containerPort: 8081
          name: websocket
        volumeMounts:
        - mountPath: /dev/shm
          name: shm
        - mountPath: /var/log/daline
          name: nfs-log
        - mountPath: /var/store/nfs
          name: nfs-store
        - mountPath: /var/store/http
          name: http-store
        - mountPath: /etc/localtime
          name: localtime
          readOnly: true
      hostname: pu-ry-v1x0x1
      securityContext:
        fsGroup: 502
        runAsGroup: 502
        runAsUser: 1000
      volumes:
      - hostPath:
          path: /dev/shm
        name: shm
      - hostPath:
          path: /root/zhxy/log/alex.c/pu_ry/1_0_1/
        name: nfs-log
      - hostPath:
          path: /root/zhxy/alex.c/
        name: nfs-store
      - hostPath:
          path: /root/zhxy/nginx/www/httpstore/alex.c/
        name: http-store
      - hostPath:
          path: /etc/localtime
        name: localtime
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-ry-v1x0x1
  name: pu-ry-v1x0x1
  namespace: zhxy
spec:
  ports:
  - name: http
    port: 80
    targetPort: 8080
  - name: websocket
    port: 81
    targetPort: 8081
  selector:
    app: pu-ry-v1x0x1
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
    nginx.ingress.kubernetes.io/rewrite-target: /$2
  name: pu-ry-v1x0x1
  namespace: zhxy
spec:
  ingressClassName: nginx
  rules:
  - host: api.etongai.com
    http:
      paths:
      - backend:
          service:
            name: pu-ry-v1x0x1
            port:
              number: 80
        path: /pu-ry-v1x0x1(/|$)(.*)
        pathType: Prefix
      - backend:
          service:
            name: pu-ry-v1x0x1
            port:
              number: 81
        path: /pu-ry-v1x0x1-ws(/|$)(.*)
        pathType: Prefix
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: pu-ryexp-v1x0x1
  name: pu-ryexp-v1x0x1
  namespace: zhxy
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-ryexp-v1x0x1
  template:
    metadata:
      labels:
        app: pu-ryexp-v1x0x1
    spec:
      containers:
      - env:
        - name: TZ
          value: Asia/Shanghai
        - name: I18N
          value: cn
        - name: SERVE
          value: '1'
        - name: IN_K8S
          value: '1'
        - name: AUTHOR
          value: sheng.g
        - name: GIT_COMMIT
          value: 64cb1cb0059c968c6ada8ef71ce51d50271c7c5d
        - name: DAL_ENV
          value: test
        - name: DAL_SPACE
          value: zhxy
        - name: LOG_LEVEL
          value: debug
        - name: LOG_DIR
          value: /var/log/daline
        - name: TEMP_FOLDER
          value: /tmp
        - name: NFS_FOLDER
          value: /var/store/nfs
        - name: HTTP_FOLDER
          value: /var/store/http
        - name: HTTP_BASE_URL
          value: /httpstore/sheng.g/pu_ryexp/1_0_1/
        - name: HTTPSTORE_BASE_URL
          value: /httpstore/sheng.g/pu_ryexp/1_0_1/
        - name: RUN_MODE
          value: run
        image: dockerhub.daline.com.cn/pu_ryexp_64cb1cb:1.0.1
        name: pu-ryexp-v1x0x1
        ports:
        - containerPort: 8080
          name: http
        - containerPort: 8081
          name: websocket
        volumeMounts:
        - mountPath: /dev/shm
          name: shm
        - mountPath: /var/log/daline
          name: nfs-log
        - mountPath: /var/store/nfs
          name: nfs-store
        - mountPath: /var/store/http
          name: http-store
        - mountPath: /etc/localtime
          name: localtime
          readOnly: true
      hostname: pu-ryexp-v1x0x1
      securityContext:
        fsGroup: 500
        runAsGroup: 500
        runAsUser: 1007
      volumes:
      - hostPath:
          path: /dev/shm
        name: shm
      - hostPath:
          path: /root/zhxy/log/sheng.g/pu_ryexp/1_0_1/
        name: nfs-log
      - hostPath:
          path: /root/zhxy/sheng.g/
        name: nfs-store
      - hostPath:
          path: /root/zhxy/nginx/www/httpstore/sheng.g/
        name: http-store
      - hostPath:
          path: /etc/localtime
        name: localtime
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-ryexp-v1x0x1
  name: pu-ryexp-v1x0x1
  namespace: zhxy
spec:
  ports:
  - name: http
    port: 80
    targetPort: 8080
  - name: websocket
    port: 81
    targetPort: 8081
  selector:
    app: pu-ryexp-v1x0x1
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
    nginx.ingress.kubernetes.io/rewrite-target: /$2
  name: pu-ryexp-v1x0x1
  namespace: zhxy
spec:
  ingressClassName: nginx
  rules:
  - host: api.etongai.com
    http:
      paths:
      - backend:
          service:
            name: pu-ryexp-v1x0x1
            port:
              number: 80
        path: /pu-ryexp-v1x0x1(/|$)(.*)
        pathType: Prefix
      - backend:
          service:
            name: pu-ryexp-v1x0x1
            port:
              number: 81
        path: /pu-ryexp-v1x0x1-ws(/|$)(.*)
        pathType: Prefix
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: pu-statistic-v1x0x1
  name: pu-statistic-v1x0x1
  namespace: zhxy
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-statistic-v1x0x1
  template:
    metadata:
      labels:
        app: pu-statistic-v1x0x1
    spec:
      containers:
      - env:
        - name: TZ
          value: Asia/Shanghai
        - name: I18N
          value: cn
        - name: SERVE
          value: '1'
        - name: IN_K8S
          value: '1'
        - name: AUTHOR
          value: zeng.y
        - name: GIT_COMMIT
          value: 58d237386339398b1cd4d2116ac4010f39eef2d1
        - name: DAL_ENV
          value: test
        - name: DAL_SPACE
          value: zhxy
        - name: LOG_LEVEL
          value: debug
        - name: LOG_DIR
          value: /var/log/daline
        - name: TEMP_FOLDER
          value: /tmp
        - name: NFS_FOLDER
          value: /var/store/nfs
        - name: HTTP_FOLDER
          value: /var/store/http
        - name: HTTP_BASE_URL
          value: /httpstore/zeng.y/pu_statistic/1_0_1/
        - name: HTTPSTORE_BASE_URL
          value: /httpstore/zeng.y/pu_statistic/1_0_1/
        - name: RUN_MODE
          value: run
        image: dockerhub.daline.com.cn/pu_statistic_58d2373:1.0.1
        name: pu-statistic-v1x0x1
        ports:
        - containerPort: 8080
          name: http
        - containerPort: 8081
          name: websocket
        volumeMounts:
        - mountPath: /dev/shm
          name: shm
        - mountPath: /var/log/daline
          name: nfs-log
        - mountPath: /var/store/nfs
          name: nfs-store
        - mountPath: /var/store/http
          name: http-store
        - mountPath: /etc/localtime
          name: localtime
          readOnly: true
      hostname: pu-statistic-v1x0x1
      securityContext:
        fsGroup: 500
        runAsGroup: 500
        runAsUser: 1003
      volumes:
      - hostPath:
          path: /dev/shm
        name: shm
      - hostPath:
          path: /root/zhxy/log/zeng.y/pu_statistic/1_0_1/
        name: nfs-log
      - hostPath:
          path: /root/zhxy/zeng.y/
        name: nfs-store
      - hostPath:
          path: /root/zhxy/nginx/www/httpstore/zeng.y/
        name: http-store
      - hostPath:
          path: /etc/localtime
        name: localtime
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-statistic-v1x0x1
  name: pu-statistic-v1x0x1
  namespace: zhxy
spec:
  ports:
  - name: http
    port: 80
    targetPort: 8080
  - name: websocket
    port: 81
    targetPort: 8081
  selector:
    app: pu-statistic-v1x0x1
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
    nginx.ingress.kubernetes.io/rewrite-target: /$2
  name: pu-statistic-v1x0x1
  namespace: zhxy
spec:
  ingressClassName: nginx
  rules:
  - host: api.etongai.com
    http:
      paths:
      - backend:
          service:
            name: pu-statistic-v1x0x1
            port:
              number: 80
        path: /pu-statistic-v1x0x1(/|$)(.*)
        pathType: Prefix
      - backend:
          service:
            name: pu-statistic-v1x0x1
            port:
              number: 81
        path: /pu-statistic-v1x0x1-ws(/|$)(.*)
        pathType: Prefix
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: pu-wechatbind-v1x0x1
  name: pu-wechatbind-v1x0x1
  namespace: zhxy
spec:
  replicas: 1
  selector:
    matchLabels:
      app: pu-wechatbind-v1x0x1
  template:
    metadata:
      labels:
        app: pu-wechatbind-v1x0x1
    spec:
      containers:
      - env:
        - name: TZ
          value: Asia/Shanghai
        - name: I18N
          value: cn
        - name: SERVE
          value: '1'
        - name: IN_K8S
          value: '1'
        - name: AUTHOR
          value: alex.c
        - name: GIT_COMMIT
          value: 923468c963fa2b55f109ee3690d609dd586f8fa9
        - name: DAL_ENV
          value: test
        - name: DAL_SPACE
          value: zhxy
        - name: LOG_LEVEL
          value: debug
        - name: LOG_DIR
          value: /var/log/daline
        - name: TEMP_FOLDER
          value: /tmp
        - name: NFS_FOLDER
          value: /var/store/nfs
        - name: HTTP_FOLDER
          value: /var/store/http
        - name: HTTP_BASE_URL
          value: /httpstore/alex.c/pu_wechatbind/1_0_1/
        - name: HTTPSTORE_BASE_URL
          value: /httpstore/alex.c/pu_wechatbind/1_0_1/
        - name: RUN_MODE
          value: run
        image: dockerhub.daline.com.cn/pu_wechatbind_923468c:1.0.1
        name: pu-wechatbind-v1x0x1
        ports:
        - containerPort: 8080
          name: http
        - containerPort: 8081
          name: websocket
        volumeMounts:
        - mountPath: /dev/shm
          name: shm
        - mountPath: /var/log/daline
          name: nfs-log
        - mountPath: /var/store/nfs
          name: nfs-store
        - mountPath: /var/store/http
          name: http-store
        - mountPath: /etc/localtime
          name: localtime
          readOnly: true
      hostname: pu-wechatbind-v1x0x1
      securityContext:
        fsGroup: 502
        runAsGroup: 502
        runAsUser: 1000
      volumes:
      - hostPath:
          path: /dev/shm
        name: shm
      - hostPath:
          path: /root/zhxy/log/alex.c/pu_wechatbind/1_0_1/
        name: nfs-log
      - hostPath:
          path: /root/zhxy/alex.c/
        name: nfs-store
      - hostPath:
          path: /root/zhxy/nginx/www/httpstore/alex.c/
        name: http-store
      - hostPath:
          path: /etc/localtime
        name: localtime
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: pu-wechatbind-v1x0x1
  name: pu-wechatbind-v1x0x1
  namespace: zhxy
spec:
  ports:
  - name: http
    port: 80
    targetPort: 8080
  - name: websocket
    port: 81
    targetPort: 8081
  selector:
    app: pu-wechatbind-v1x0x1
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    nginx.ingress.kubernetes.io/proxy-body-size: 0m
    nginx.ingress.kubernetes.io/rewrite-target: /$2
  name: pu-wechatbind-v1x0x1
  namespace: zhxy
spec:
  ingressClassName: nginx
  rules:
  - host: api.etongai.com
    http:
      paths:
      - backend:
          service:
            name: pu-wechatbind-v1x0x1
            port:
              number: 80
        path: /pu-wechatbind-v1x0x1(/|$)(.*)
        pathType: Prefix
      - backend:
          service:
            name: pu-wechatbind-v1x0x1
            port:
              number: 81
        path: /pu-wechatbind-v1x0x1-ws(/|$)(.*)
        pathType: Prefix
